import static org.junit.Assert.*;

import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import org.junit.Before;
import org.junit.Test;

import ch.hslu.dmg.g06.data.*;
import ch.hslu.dmg.g06.logic.Production;

public class TestProduction {

	private EntityManagerFactory factory;
	private static final String PERSISTENCE_UNIT_NAME = "Fertigungsplanung";
	private Production production;

	@Before
	public void setUp() {

		factory = Persistence.createEntityManagerFactory(PERSISTENCE_UNIT_NAME);
		production = new Production(factory);production = new Production(factory);
	}
	
	@Test
	public void testGetProductionDate() {

		Order order = new Order();		
		order.setPart(new Part(1));
		order.setAmount(4);
		order.setNumber(20000);
		
		// Create a valid user
		order.setCustumer(new Customer(1));		

		assertNotNull(production.Produce(order));		
	}
}
