package ordersystem;

import static org.junit.Assert.assertNotNull;

import java.util.Scanner;

import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import ch.hslu.dmg.g06.data.Customer;
import ch.hslu.dmg.g06.data.Order;
import ch.hslu.dmg.g06.data.Part;
import ch.hslu.dmg.g06.logic.Production;

public class main {

    static final String PERSISTENCE_UNIT_NAME = "Fertigungsplanung";

    /**
     * @param args
     */
    public static void main(String[] args) {
	
	
	System.out.println("===============================================================================");
	System.out.println("HSLU Technik & Architektur                               Datenmanagement | FS13");
	System.out.println("");
	System.out.println("                     :::::::::  ::::    ::::   ::::::::");
	System.out.println("                     :+:    :+: +:+:+: :+:+:+ :+:    :+:");
	System.out.println("                     +:+    +:+ +:+ +:+:+ +:+ +:+");
	System.out.println("                     +#+    +:+ +#+  +:+  +#+ :#:");
	System.out.println("                     +#+    +#+ +#+       +#+ +#+   +#+#");
	System.out.println("                     #+#    #+# #+#       #+# #+#    #+#");
	System.out.println("                     #########  ###       ###  ########");
	System.out.println("");
	System.out.println("                                    Gruppe 6 | Estermann Michael | Rohrer Felix");
	System.out.println("===============================================================================");
	
	System.out.println("");
	System.out.println("Bestellter Artikel: Lotus Elise 111R (#1)");
	
	int amount = 1;
	boolean vallidSettings = false;
	
	while ( ! vallidSettings) {
            System.out.print("Bitte Anzahl eingeben: [" + amount + "]: ");
            amount = getConsoleInteger(amount);
            if (amount > 0) {
        	vallidSettings = true;
            }
        }

	EntityManagerFactory factory;
	Production production;

	factory = Persistence.createEntityManagerFactory(PERSISTENCE_UNIT_NAME);
	production = new Production(factory);

	Order order = new Order();
	order.setPart(new Part(1));
	order.setAmount(amount);
	order.setNumber(30000 + amount);

	// Create a valid user
	order.setCustumer(new Customer(1));

	// produce
	production.Produce(order);

    }

    static int getConsoleInteger(int defaultValue)
    {
	Scanner console;
	console = new Scanner(System.in);
	
        String strInput = "";
        int intRes = defaultValue;
        try {
            strInput = console.nextLine();
        } catch (java.util.NoSuchElementException e) {
            // Ctrl-C
            System.exit(0);
        } catch (Exception e) {
            // ignore...
        }

        if ( ! strInput.equals("")) {
            intRes = -1;
            try {
                intRes = Integer.parseInt(strInput);
            } catch (Exception e) {
                // ignore...
            }
        }
        
        console.close();
        return intRes;
    }
    
}
